Bug 879732 - [abrt] Zim-0.57-1.fc17: tags.py:57:select_page:TypeError: GtkTreeModel.get_iter requires a tree path as its argument
[abrt] Zim-0.57-1.fc17: tags.py:57:select_page:TypeError: GtkTreeModel.get_it...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:963b012515f275b3a0c31a236ad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 18:53 EST by jibecfed
Modified: 2012-12-25 23:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 23:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.38 KB, text/plain)
2012-11-23 18:53 EST, jibecfed
no flags Details
File: executable (12 bytes, text/plain)
2012-11-23 18:53 EST, jibecfed
no flags Details
File: smolt_data (3.12 KB, text/plain)
2012-11-23 18:53 EST, jibecfed
no flags Details
File: core_backtrace (343 bytes, text/plain)
2012-11-23 18:53 EST, jibecfed
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1088353 None None None Never

  None (edit)
Description jibecfed 2012-11-23 18:53:19 EST
Version-Release number of selected component:
Zim-0.57-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-jb/zim-server-socket 30
kernel:         3.6.7-4.fc17.x86_64

backtrace:
:tags.py:57:select_page:TypeError: GtkTreeModel.get_iter requires a tree path as its argument
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 813, in on_open_page
:    self.treeview.select_page(path)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 675, in select_page
:    model.select_page(path) # highlight in model
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 57, in select_page
:    treeiter = self.get_iter(treepath)
:TypeError: GtkTreeModel.get_iter requires a tree path as its argument
:
:Local variables in innermost frame:
:self: <DuplicatePageTreeStore object at 0x318d500 (zim+gui+pageindex+PageTreeStore at 0x2e614e0)>
:path: <Path: Étude de marché:I Objectifs>
:oldpath: <FileStorePage: Étude de marché:1 Objectifs>
:treepath: None
:mypath: <FileStorePage: Étude de marché:1 Objectifs>
Comment 1 jibecfed 2012-11-23 18:53:22 EST
Created attachment 650716 [details]
File: environ
Comment 2 jibecfed 2012-11-23 18:53:24 EST
Created attachment 650717 [details]
File: executable
Comment 3 jibecfed 2012-11-23 18:53:26 EST
Created attachment 650718 [details]
File: smolt_data
Comment 4 jibecfed 2012-11-23 18:53:28 EST
Created attachment 650719 [details]
File: core_backtrace
Comment 5 Fedora Update System 2012-12-17 21:11:38 EST
Zim-0.58-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-20539/Zim-0.58-1.fc17
Comment 6 Fedora Update System 2012-12-17 21:35:12 EST
Package Zim-0.58-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.58-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20539/Zim-0.58-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-25 23:51:05 EST
Zim-0.58-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.